# disable-c6-runit

A runit service for disabling the C6 power saving state on AMD Zen (Ryzen/Epyc)
upon boot. The C6 state is known for causing
[soft lock freezing behaviour](https://wiki.archlinux.org/title/Ryzen#Soft_lock_freezing)
on Linux.

## Dependencies

* [zenstates.py](https://github.com/r4m0n/ZenStates-Linux) installed in your
  PATH as `zenstates` (installing `zenstates-git` from the AUR will provide
  this)

